import sys
import math

# Se usa la integración compuesta en
# https://es.wikipedia.org/wiki/Integraci%C3%B3n_num%C3%A9rica

a = 0

n = len( sys.argv )
if n != 3 :
	print( "sigma m" )
	sys.exit(1)

b = float( sys.argv[1] )
n = int( sys.argv[2] )

h = b/n 

mu = 0
sigma = 1

suma = 0.0
i = 1
while i < n :
	x = a + i*h
	suma += math.exp( - (x-mu)*(x-mu)/( 2.0*sigma*sigma ) )
	i += 1

fa = math.exp( - (a-mu)*(a-mu)/( 2.0*sigma*sigma )) 
fb = math.exp( - (b-mu)*(b-mu)/( 2.0*sigma*sigma )) 
suma = (2.0*h * ( (fa+fb)/2.0 + suma ) )/(sigma*math.sqrt( 2.0*math.pi ))

print( suma )
